org.eclipse.ease.lang.scriptarchive

## Class NonClosingInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.eclipse.ease.lang.scriptarchive.NonClosingInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class NonClosingInputStream
    extends java.io.InputStream

InputStream delegating all tasks to a base stream. The only method not forwarded is close().

### Constructor Summary

Constructors
Constructor and Description
`NonClosingInputStream(java.io.InputStream baseStream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `mark(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip(long n)`

### Methods inherited from class java.io.InputStream

`close`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NonClosingInputStream

    public NonClosingInputStream(java.io.InputStream baseStream)

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### skip

    public long skip(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `java.io.InputStream`

#### mark

    public void mark(int readlimit)

Overrides:
  `mark` in class `java.io.InputStream`

#### reset

    public void reset()
               throws java.io.IOException

Overrides:
  `reset` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`